<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://www.w3.org/2001/04/xmlenc#" xmlns:ns1="http://www.w3.org/2000/09/xmldsig#" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://www.w3.org/2001/04/xmlenc#">
  <xs:import namespace="http://www.w3.org/2000/09/xmldsig#"/>
  <xs:element name="AgreementMethod" type="tns:AgreementMethodType"/>
  <xs:element name="CipherData" type="tns:CipherDataType"/>
  <xs:element name="CipherReference" type="tns:CipherReferenceType"/>
  <xs:element name="EncryptedData" type="tns:EncryptedDataType"/>
  <xs:element name="EncryptedKey" type="tns:EncryptedKeyType"/>
  <xs:element name="EncryptionProperties" type="tns:EncryptionPropertiesType"/>
  <xs:element name="EncryptionProperty" type="tns:EncryptionPropertyType"/>
  <xs:element name="ReferenceList">
    <xs:complexType>
      <xs:sequence>
        <xs:choice maxOccurs="unbounded" minOccurs="0">
          <xs:element form="qualified" name="DataReference" type="tns:ReferenceType"/>
          <xs:element form="qualified" name="KeyReference" type="tns:ReferenceType"/>
        </xs:choice>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:complexType name="EncryptedDataType">
    <xs:complexContent>
      <xs:extension base="tns:EncryptedType">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType abstract="true" name="EncryptedType">
    <xs:sequence>
      <xs:element form="qualified" minOccurs="0" name="EncryptionMethod" type="tns:EncryptionMethodType"/>
      <xs:element minOccurs="0" ref="ns1:KeyInfo"/>
      <xs:element form="qualified" name="CipherData" type="tns:CipherDataType"/>
      <xs:element form="qualified" minOccurs="0" name="EncryptionProperties" type="tns:EncryptionPropertiesType"/>
    </xs:sequence>
    <xs:attribute name="Id" type="xs:ID"/>
    <xs:attribute name="Type" type="xs:anyURI"/>
    <xs:attribute name="MimeType" type="xs:string"/>
    <xs:attribute name="Encoding" type="xs:anyURI"/>
  </xs:complexType>
  <xs:complexType mixed="true" name="EncryptionMethodType">
    <xs:sequence>
      <xs:choice maxOccurs="unbounded" minOccurs="0">
        <xs:element form="qualified" name="KeySize" type="xs:integer"/>
        <xs:element form="qualified" name="OAEPparams" type="xs:base64Binary"/>
        <xs:any namespace="##other" processContents="lax"/>
      </xs:choice>
    </xs:sequence>
    <xs:attribute name="Algorithm" type="xs:anyURI" use="required"/>
  </xs:complexType>
  <xs:complexType name="EncryptedKeyType">
    <xs:complexContent>
      <xs:extension base="tns:EncryptedType">
        <xs:sequence>
          <xs:element minOccurs="0" ref="tns:ReferenceList"/>
          <xs:element form="qualified" minOccurs="0" name="CarriedKeyName" type="xs:string"/>
        </xs:sequence>
        <xs:attribute name="Recipient" type="xs:string"/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType mixed="true" name="AgreementMethodType">
    <xs:sequence>
      <xs:choice maxOccurs="unbounded" minOccurs="0">
        <xs:element form="qualified" name="OriginatorKeyInfo" type="ns1:KeyInfoType"/>
        <xs:element form="qualified" name="RecipientKeyInfo" type="ns1:KeyInfoType"/>
        <xs:element form="qualified" name="KA-Nonce" type="xs:base64Binary"/>
        <xs:any namespace="##other" processContents="lax"/>
      </xs:choice>
    </xs:sequence>
    <xs:attribute name="Algorithm" type="xs:anyURI" use="required"/>
  </xs:complexType>
  <xs:complexType name="EncryptionPropertiesType">
    <xs:sequence>
      <xs:element form="qualified" maxOccurs="unbounded" name="EncryptionProperty" type="tns:EncryptionPropertyType"/>
    </xs:sequence>
    <xs:attribute name="Id" type="xs:ID"/>
  </xs:complexType>
  <xs:complexType mixed="true" name="EncryptionPropertyType">
    <xs:sequence>
      <xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
    </xs:sequence>
    <xs:attribute name="Target" type="xs:anyURI"/>
    <xs:attribute name="Id" type="xs:ID"/>
    <xs:anyAttribute namespace="##other" processContents="skip"/>
  </xs:complexType>
  <xs:complexType name="ReferenceType">
    <xs:sequence>
      <xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
    </xs:sequence>
    <xs:attribute name="URI" type="xs:anyURI" use="required"/>
  </xs:complexType>
  <xs:complexType name="CipherDataType">
    <xs:sequence>
      <xs:element form="qualified" minOccurs="0" name="CipherValue" type="xs:base64Binary"/>
      <xs:element form="qualified" minOccurs="0" name="CipherReference" type="tns:CipherReferenceType"/>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="CipherReferenceType">
    <xs:sequence>
      <xs:element form="qualified" minOccurs="0" name="Transforms" type="tns:TransformsType"/>
    </xs:sequence>
    <xs:attribute name="URI" type="xs:anyURI" use="required"/>
  </xs:complexType>
  <xs:complexType name="TransformsType">
    <xs:sequence>
      <xs:element maxOccurs="unbounded" ref="ns1:Transform"/>
    </xs:sequence>
  </xs:complexType>
</xs:schema>